Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/requests/postapi-v-1-requests-request-id-notes

# Create request notes

POST `https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/notes`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### requestId (path, string, required)

## Body

#### user\_id (body, integer)

#### conversation\_id (body, integer)

When set, the reply is mirrored into this conversation's thread (UAG).

#### description (body, string)

#### mentions (body, array of integer)

#### is\_private (body, boolean)

#### source (body, enum (string))

#### type (body, enum (string))

#### attachments (body, array of integer)

#### cc\_emails (body, array of string)

#### bcc\_emails (body, array of string)

#### is\_broadcast (body, boolean)

#### external\_id (body, string)

#### external\_source\_type (body, enum (string))

#### email\_content (body, string)

#### event\_created\_at (body, string)

Event creation timestamp. When provided via public API, also backdates the note's created time, SLA metrics, and activity timestamps. Must not be in the future or before the request's creation time.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/notes' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"user_id": 0, "conversation_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0], "cc_emails": ["string"], "bcc_emails": ["string"], "is_broadcast": true, "external_id": "string", "external_source_type": "SAAS_GENIE", "email_content": "string", "event_created_at": "date-time"}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/notes', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"user_id": 0, "conversation_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0], "cc_emails": ["string"], "bcc_emails": ["string"], "is_broadcast": true, "external_id": "string", "external_source_type": "SAAS_GENIE", "email_content": "string", "event_created_at": "date-time"}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/notes',
    headers={'X-Api-Key': '<api-key>'},
    json={"user_id": 0, "conversation_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0], "cc_emails": ["string"], "bcc_emails": ["string"], "is_broadcast": true, "external_id": "string", "external_source_type": "SAAS_GENIE", "email_content": "string", "event_created_at": "date-time"}
)
data = res.json()
```
